
tinymce.init({
    selector: '#mytextarea',
    // height: '100vh',
    min_height: 80,
    mobile: {
        menubar: false
    },
    force_p_newlines: true,
    forced_root_block : true,
    toolbar: 'code',
    toolbar_mode: 'floating',
    body_class:'edit-content',
    placeholder: '请输入正文',
    force_p_newlines: true,
    autoresize_bottom_margin: 0,
    cache_suffix: '?v=4.4.21',
    content_style: $('#editor-style').text(),
    plugins: 'code advlist lists code dminsertcontent noneditable dmstyleoperation dmappendcss dmbindevent dmmaintainarticleobject autoresize dmcommon paste',
    paste_as_text: true,
    formats: {
        h2: {
            block: 'h2',
            classes: 'dm_h2',
        },
        h3: {
            block: 'h3',
            classes: 'dm_h3',
        },
        p: {
            block: 'p',
        },
        bold: { inline: 'strong', classes: 'bold'},
        forecolor: {inline : 'span', styles : {color : '#ed1964'}},
    },
    valid_children: '+a[div|span]',
});