$(() => {
    const $title = $('#title');
    $title.on('input', function (e) {
        $('.title-tip').show();
        let value, oldRows, newRows, eleHeight, $target, remainNum, titleHasContent;
        $target = $(this);
        value = $target.val();
        titleHasContent = value.length > 0;
        remainNum = 40 - value.length;
        remainNum = remainNum < 0 ? 0 : remainNum;

        $('#title-tip-num').text(remainNum);
        $('#title-height').text(value);
        eleHeight = $('#title-height').height();
        oldRows =  Number($target.attr('rows'));
        newRows = eleHeight / 32;
        if (oldRows !== newRows) {
            $target.attr('rows', newRows);
        }

        if (titleHasContent !== window.dmEditor.hasContent.title) {
            const editorHasContent = window.dmEditor.hasContent.editor;
            window.dmEditor.hasContent.title = titleHasContent;
            if (editorHasContent && window.dmEditor.messageAppHasContent) {
                const hasContent = titleHasContent;
                let parmas = {
                    hasContent: hasContent
                };
                parmas = JSON.stringify(parmas);
                window.dmEditor.messageAppHasContent(parmas);
            }
        }
    });
    $title.on('keypress', function (e) {
        const keyCode = e.keyCode;
        if (keyCode === 13) {
            e.preventDefault();
        }
    });
    $('#title').on('focus', function () {
        // tinyMCE.activeEditor && tinyMCE.activeEditor.dmCommon.editorToast('title input  focus');
        $('.title-tip').show();
        if (window.dmEditor.appGetFocusType) {
            let params = {
                focusType: 'title'
            }
            params = JSON.stringify(params);
            window.dmEditor.appGetFocusType(params);
        }
    });
    $('#title').on('tap',function(){
        $('.title-tip').show();
    });
    $title.on('blur', function () {
        $('.title-tip').hide();
    });
}); 