(function() {
    function Plugin(editor, url) {
        if (editor) {
            editor.dmCommon = {
                config:{
                    videoSiteReg:/https:?\/\/.+(weibo|qq|youku|miaopai|bilibili|youtube)\.com/,
                    domainRegex:/^(https?:)?\/\/(www.)?(\w+(\.)?)+/,
                    dealRegex:/^(https?:)?\/\/\w+\.([a-z0-9]+\.)?(dealmoon|dazhe|fashionmoon)\.(net|com|cn|au|ca|co\.uk|de|fr)/i,
                    imgFolderRegex:/^assets\/.+/,
                    videoFormat:['mp4','swf','ogg','webm','flv'],
                    videoRegex:/\.(mp4|flv|ogg|swf|webm)(?!\?.*)?/,
                    editorNameMap:{
                        'cnBody':'中文折扣内容',
                        'enBody':'英文折扣内容'
                    }
                },
                editorToast:function(msg){
                    if (window.dmEditor.toast) {
                        window.dmEditor.toast(msg);
                    }else{
                        console.log(msg);
                    }
                }
            }
        }
    }
    tinymce.PluginManager.add('dmcommon', Plugin);
})();